Subject: Re: bug#58268: 29.0.50; message-box appearing in center of other X window

From: Po Lu <[email-masked]>
Date: Thu, 06 Oct 2022 18:39:57 +0800

Jean Louis <[email-masked]> writes:

> * Stefan Kangas <[email-masked]> [2022-10-06 01:36]:
>> Jean Louis <[email-masked]> writes:
>> 
>> > I will not change to other toolkit.
>> >
>> > I did try that, but I will not change to that toolkit because of
>> > message-box appearing in other window.
>> 
>> The request was not for you to change toolkit, but for you to *test*
>> with another toolkit, to see if the problem remains.
>> 
>> Would you be willing to carry out such a test and report back the
>> results (in particular, if the problem remains)?
>
> Here is the video with 2 toolkits:
>
> https://gnu.support/images/tmp/2022-10-06/2022-10-06-10:54:20.ogv
>
> It takes place when I press ALT-SHIFT-F2 to tile windows.

Thanks.

In the case of GTK+, the toolkit itself sets the appropriate hints and
waits for the window manager to position the popup correctly.  There is
nothing we can do about that.

Athena widgets (all kinds) on the other hand fail to set any hints at
all.  I will look into this.